package com.ruoyi.oa.service;

import com.ruoyi.oa.domain.OaRequirements;
import com.ruoyi.oa.domain.vo.OaRequirementsVo;
import com.ruoyi.oa.domain.bo.OaRequirementsBo;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * OA 需求Service接口
 *
 * @author ruoyi
 * @date 2025-06-27
 */
public interface IOaRequirementsService {

    /**
     * 查询OA 需求
     */
    OaRequirementsVo queryById(Long requirementId);

    /**
     * 查询OA 需求列表
     */
    TableDataInfo<OaRequirementsVo> queryPageList(OaRequirementsBo bo, PageQuery pageQuery);

    /**
     * 查询OA 需求列表
     */
    List<OaRequirementsVo> queryList(OaRequirementsBo bo);

    /**
     * 新增OA 需求
     */
    Boolean insertByBo(OaRequirementsBo bo);

    /**
     * 修改OA 需求
     */
    Boolean updateByBo(OaRequirementsBo bo);

    /**
     * 校验并批量删除OA 需求信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
